﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Infragistics.Controls.Grids;

namespace SilverlightApplication14
{
  public class ValueConverter : IValueConverter
  {
    object IValueConverter.Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      UnboundColumnDataContext context = value as UnboundColumnDataContext;
      if (context.ColumnKey == "Value1")
      {
        return ((RowLevelBase)context.RowData).Value1.DValue;
      }
      else if (context.ColumnKey == "Value2")
      {
        return ((RowLevelBase)context.RowData).Value2.DValue;
      }
      return null;
    }

    object IValueConverter.ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
    {
      throw new NotImplementedException();
    }
  }
}
