﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace SilverlightApplication14
{
  public partial class MainPage : UserControl
  {
    public List<RowLevel0> _items = new List<RowLevel0>();

    public MainPage()
    {
      InitializeComponent();

      _items.Add(new RowLevel0()
      {
        Desc = "Row Level 0",
        Value1 = new Value() { DValue = 1, TValue = "", IsLocked = false },
        Value2 = new Value() { DValue = 2, TValue = "", IsLocked = true }
      });

      _items[0].Childs = new List<RowLevel1>();
      _items[0].Childs.Add(new RowLevel1()
      {
        Desc = "Row Level 1",
        Value1 = new Value() { DValue = 3, TValue = "", IsLocked = true },
        Value2 = new Value() { DValue = 4, TValue = "", IsLocked = false }
      });

      grid.ItemsSource = _items;
    }

    private void grid_ColumnLayoutAssigned(object sender, Infragistics.Controls.Grids.ColumnLayoutAssignedEventArgs e)
    {
      if (e.ColumnLayout.Columns.Count == 0)
      {
        e.ColumnLayout.Columns.Add(new TextColumn()
        {
          Key = "Desc",
          HeaderText = "Description"
        });
        UnboundColumn valueCol = new UnboundColumn()
        {
          Key = "Value1",
          HeaderText = "Value1",
          ItemTemplate = (DataTemplate)this.Resources["ItemTemplate"],
        };
        //if (e.Level == 0)
        //{
        valueCol.ConditionalFormatCollection.Add(new IsLockedCondition(valueCol.Key)
        {
          StyleScope = StyleScope.Cell,
          StyleToApply = (Style)this.Resources["IsLockedCellStyle"]
        });
        //}
        e.ColumnLayout.Columns.Add(valueCol);
        valueCol = new UnboundColumn()
        {
          Key = "Value2",
          HeaderText = "Value2",
          ItemTemplate = (DataTemplate)this.Resources["ItemTemplate"],
        };
        //if (e.Level == 0)
        //{
        valueCol.ConditionalFormatCollection.Add(new IsLockedCondition(valueCol.Key)
        {
          StyleScope = StyleScope.Cell,
          StyleToApply = (Style)this.Resources["IsLockedCellStyle"]
        });
        //}
        e.ColumnLayout.Columns.Add(valueCol);
      }
    }
  }
}
